ALTER TABLE TIME_PRE_FORMATED ADD CONSTRAINT FK_TIME_PRE_FORMATED_MAPSET
	FOREIGN KEY (MAP_SET_ID) REFERENCES MAPPING_SET(MAP_SET_ID)
  ON DELETE CASCADE
;

ALTER TABLE TIME_PRE_FORMATED ADD CONSTRAINT FK_TIME_PRE_FORMATED_OUTCOL
	FOREIGN KEY (OUTPUT_COLUMN) REFERENCES DATASET_COLUMN(COL_ID)
;

ALTER TABLE TIME_PRE_FORMATED ADD CONSTRAINT FK_TIME_PRE_FORMATED_FROMCOL
	FOREIGN KEY (FROM_COLUMN) REFERENCES DATASET_COLUMN(COL_ID)
;

ALTER TABLE TIME_PRE_FORMATED ADD CONSTRAINT FK_TIME_PRE_FORMATED_TOCOL
	FOREIGN KEY (TO_COLUMN) REFERENCES DATASET_COLUMN(COL_ID)
;
